---
title: "BlueSky: Create Post"
tags:
- action
- bsky
- bsky action unknown
---
# BlueSky: Create Post

Available since: unknown

Create a Post object to send to BlueSky.

{!include/plugins/bsky/action/bsky_create_post.md!}

## Fields

`Message`

:   The message that will be displayed on the post.

    {!include/plugins/bsky/action/bsky_create_post/message.md!}

`Name of response token`

:   The response value will be loaded into this specified token. You can access [token_name:body] raw response, [token_name:json] when return is valid json, [token_name:headers], [token_name:status], [token_name:client_error] > 0 when has problem. Please provide the token name only, without brackets.

    {!include/plugins/bsky/action/bsky_create_post/token_name.md!}
