---
title: "Token: set value"
tags:
- action
- eca_base
- eca action 1.1.0
---
# Token: set value

Available since: 1.1.0

Define a locally available token by a specific name and value.

{!include/plugins/eca_base/action/eca_token_set_value.md!}

## Fields

`Name of token`

:   Provide the name of a token where the value should be stored. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_token_set_value/token_name.md!}

`Value of the token`

:   The value of the token.<br/>This field supports tokens.

    {!include/plugins/eca_base/action/eca_token_set_value/token_value.md!}

`Interpret above value as YAML format`

:   Nested data can be set using YAML format, for example <em>mykey: "My value"</em>. When using this format, this option needs to be enabled. When using tokens and YAML altogether, make sure that tokens are wrapped as a string. Example: <em>title: "[node:title]"</em>

    {!include/plugins/eca_base/action/eca_token_set_value/use_yaml.md!}
