---
title: "Entity: get list of entity types"
tags:
- action
- eca_content
- eca action 2.1.0
---
# Entity: get list of entity types

Available since: 2.1.0

Gets the list of entity types.

{!include/plugins/eca_content/action/eca_get_entity_type_list.md!}

## Fields

`Name of token`

:   Provide the name of a token that holds the entity types list. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_get_entity_type_list/token_name.md!}

`Mode`

:   This either returns a list of entity type IDs or of their labels.

    {!include/plugins/eca_content/action/eca_get_entity_type_list/mode.md!}
