---
title: " Environments: stop"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Environments: stop

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_environments_stop.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:environments_stop_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_environments_stop/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_environments_stop/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_environments_stop/api_project_id.md!}

`Environment Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_environments_stop/api_environment_id.md!}
