---
title: " Projects: update Protected Branch"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Projects: update Protected Branch

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updateprotectedbranch.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:projects_updateprotectedbranch_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updateprotectedbranch/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updateprotectedbranch/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updateprotectedbranch/api_project_id.md!}

`Branch Name`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updateprotectedbranch/api_branch_name.md!}

`Parameters`

:   Provide a YAML array.<br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updateprotectedbranch/api_parameters.md!}
