---
title: "Exception status code"
tags:
- event
- eca_misc
- eca event 2.1.0
---
# Exception status code

Available since: 2.1.0

Event that is dispatched when a routing exception 4xx or 5xx is found.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_misc/event/kernel_exception_status_code.md!}

