---
title: "Tamper: Encode/Decode"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Encode/Decode

Available since: 1.0.0

Encode (or Decode) the field contents.

{!include/plugins/eca_tamper/action/eca_tamper_encode.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_encode/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_encode/eca_token_name.md!}

`Serialization mode:`

:   

    {!include/plugins/eca_tamper/action/eca_tamper_encode/mode.md!}
