---
title: "Tamper: Implode"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Implode

Available since: 1.0.0

Converts an array to a string.

{!include/plugins/eca_tamper/action/eca_tamper_implode.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_implode/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_implode/eca_token_name.md!}

`String glue`

:   Join array elements into a string. For example,
      array('a', 'b', 'c') would become "a, b, c". A space can be
      represented by %s, tabs by %t, and newlines by %n.

    {!include/plugins/eca_tamper/action/eca_tamper_implode/glue.md!}
