---
title: "Tamper: String to Unix Timestamp"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: String to Unix Timestamp

Available since: 1.0.0

This will take a string containing an English date format and convert it into a Unix Timestamp.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_strtotime.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:strtotime_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strtotime/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:strtotime_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strtotime/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strtotime/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strtotime/negate.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strtotime/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_strtotime/right.md!}
