---
title: "User: get preferred language code"
tags:
- action
- eca_user
- eca action 2.0.0
---
# User: get preferred language code

Available since: 2.0.0

Get the preferred language code and store it as a token.

{!include/plugins/eca_user/action/eca_get_preferred_langcode.md!}

## Fields

`Name of token`

:   The language code will be stored into this specified token. Please provide the token name only, without brackets.

    {!include/plugins/eca_user/action/eca_get_preferred_langcode/token_name.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">user</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_user/action/eca_get_preferred_langcode/object.md!}
