---
title: "Role of user"
tags:
- condition
- eca_user
- eca condition 1.0.0
---
# Role of user

Available since: 1.0.0

Checks, whether a given user account has a given role.

{!include/plugins/eca_user/condition/eca_user_role.md!}

## Fields

`User account`

:   The ID of an account or a token with a stored account entity.

    {!include/plugins/eca_user/condition/eca_user_role/account.md!}

`User role`

:   The user role to check, like <em>editor</em> or <em>administrator</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_user_role_role</em>

    {!include/plugins/eca_user/condition/eca_user_role/role.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_user/condition/eca_user_role/negate.md!}
