---
title: "Alter a row"
tags:
- event
- eca_views_data_export
- eca_views_data_export event 1.0.0
---
# Alter a row

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[current_result]` | The result object of the event. |
    | `[current_row]` | The row object of the event. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_views_data_export/event/eca_views_data_export_alter_row.md!}

## Fields

`View ID`

:   

    {!include/plugins/eca_views_data_export/event/eca_views_data_export_alter_row/view_id.md!}

`Display ID`

:   

    {!include/plugins/eca_views_data_export/event/eca_views_data_export_alter_row/display_id.md!}
