---
title: "ECA cron event"
tags:
- event
- eca_base
- eca event 1.0.0
---
# ECA cron event

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_base/event/eca_base_eca_cron.md!}

## Fields

`Frequency`

:   The frequency of a cron job is defined by a cron specific notation which is best explained at https://en.wikipedia.org/wiki/Cron. Note: date and time need to be provided in UTC timezone.

    {!include/plugins/eca_base/event/eca_base_eca_cron/frequency.md!}
