---
title: "Cart: Remove order item from cart"
tags:
- event
- eca_commerce
- eca_commerce event 1.0.0
---
# Cart: Remove order item from cart

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[cart]` | The cart entity. |
    | `[commerce_order_item]` | The order item entity. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_commerce/event/eca_commerce_cart_order_item_remove.md!}

