---
title: "Request: Get path argument"
tags:
- action
- eca_endpoint
- eca action 1.1.0
---
# Request: Get path argument

Available since: 1.1.0



{!include/plugins/eca_endpoint/action/eca_endpoint_get_path_argument.md!}

## Fields

`Index position`

:   The index position of the path argument, starting at 0. Example: When index position is set to <em>2</em> and the path is <em>/node/1/edit</em>, then the returned value is <em>edit</em>. When empty, the whole requested path will be returned.

    {!include/plugins/eca_endpoint/action/eca_endpoint_get_path_argument/index.md!}

`Name of token`

:    Please provide the token name only, without brackets.

    {!include/plugins/eca_endpoint/action/eca_endpoint_get_path_argument/token_name.md!}
