---
title: "File: rename"
tags:
- action
- eca_file
- eca action unknown
---
# File: rename

Available since: unknown

Rename the physical file of a file entity.

{!include/plugins/eca_file/action/eca_file_rename.md!}

## Fields

`New file name`

:   The new file name without schema or path, but with the file extension.<br/>This field supports tokens.

    {!include/plugins/eca_file/action/eca_file_rename/new_filename.md!}

`Behavior`

:   The behavior when dealing with existing files.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_file_rename_exists_behavior</em>

    {!include/plugins/eca_file/action/eca_file_rename/exists_behavior.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_file/action/eca_file_rename/object.md!}
