---
title: "Form: set method"
tags:
- action
- eca_form
- eca action 1.1.0
---
# Form: set method

Available since: 1.1.0

Set the HTTP method to use when submitting the form.

{!include/plugins/eca_form/action/eca_form_set_method.md!}

## Fields

`Method`

:   The method of a form action <em>GET</em> or <em>POST</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_form_set_method_method</em>

    {!include/plugins/eca_form/action/eca_form_set_method/method.md!}
