---
title: "ECA Helper: Form field set value"
tags:
- action
- eca_helper
- eca_helper action unknown
---
# ECA Helper: Form field set value

Available since: unknown

Set form field value.

{!include/plugins/eca_helper/action/eca_helper_form_field_set_value.md!}

## Fields

`Element key`

:   The element key to set value for the form element. Example #title, #attributes.class<br/>This field supports tokens.

    {!include/plugins/eca_helper/action/eca_helper_form_field_set_value/key.md!}

`Value`

:   The default value to prepopulate.<br/>This field supports tokens.

    {!include/plugins/eca_helper/action/eca_helper_form_field_set_value/value.md!}

`Value in YAML`

:   Value in the YAML format.

    {!include/plugins/eca_helper/action/eca_helper_form_field_set_value/value_yaml.md!}

`Set array value`

:   Set or append data to array value.

    {!include/plugins/eca_helper/action/eca_helper_form_field_set_value/array.md!}

`Method`

:   The method to set value when use Set array value.

    {!include/plugins/eca_helper/action/eca_helper_form_field_set_value/method.md!}

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button. Use <em>!!form</em> for the current form instead of form element.<br/>This field supports tokens.

    {!include/plugins/eca_helper/action/eca_helper_form_field_set_value/field_name.md!}
