---
title: "Block content get dependency"
tags:
- event
- eca_misc
- eca event 1.0.0
---
# Block content get dependency

Available since: 1.0.0

Fires, when getting the dependency of a non-reusable block.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_misc/event/drupal_block_content_get_dependency.md!}

