---
title: "Tamper: State to abbrev"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: State to abbrev

Available since: 1.0.0

Converts this field from a full state name string to the two character abbreviation.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_state_to_abbrev.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:state_to_abbrev_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_state_to_abbrev/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:state_to_abbrev_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_state_to_abbrev/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_state_to_abbrev/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_state_to_abbrev/negate.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_state_to_abbrev/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_state_to_abbrev/right.md!}
