---
title: "Tamper: URL Decode"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: URL Decode

Available since: 1.0.0

Run values through the <a href='http://us3.php.net/urldecode'>urldecode()</a> function.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_url_decode.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:url_decode_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_url_decode/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:url_decode_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_url_decode/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_url_decode/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_url_decode/negate.md!}

`Decode method`

:   Run values through the <a href="http://us3.php.net/urldecode">urldecode()</a> function.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_url_decode/method.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_url_decode/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_url_decode/right.md!}
