---
title: "Alter access rules"
tags:
- event
- eca_webform
- eca_webform event 1.0.0
---
# Alter access rules

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:webform]` | The webform. |
    | `[event:webform:access_rules]` | The access rules. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_webform/event/webform_access_rules_alter.md!}

